Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.forms.builder
Class I15dPanelBuilder

    java.lang.Object
      com.jgoodies.forms.builder.AbstractBuilder
          com.jgoodies.forms.builder.AbstractFormBuilder
              com.jgoodies.forms.builder.PanelBuilder
                  com.jgoodies.forms.builder.AbstractI15dPanelBuilder
                      com.jgoodies.forms.builder.I15dPanelBuilder

Direct Known Subclasses:
  DefaultFormBuilder

    public class I15dPanelBuilder

extends AbstractI15dPanelBuilder

A general purpose panel builder that uses the FormLayout to lay out JPanels. In addition to its superclass `PanelBuilder` this class provides convenience behavior to map resource keys to their associated internationalized (i15d) strings when adding labels, titles and titled separators.

The localized texts used in methods `#addI15d*` can be marked texts, i.e. strings with an optional mnemonic marker. See the `MnemonicUtils` class comment for details.

Since:
  1.0.3
Version:
  $Revision: 1.11 $
Author:
  Karsten Lentzsch
See Also:
  `ResourceBundle`

Field Summary

Fields inherited from class com.jgoodies.forms.builder.AbstractBuilder
`currentCellConstraints`

Constructor Summary
`I15dPanelBuilder(FormLayout layout, ResourceBundle bundle)` Constructs an I15dPanelBuilder for the given layout and resource bundle.
`I15dPanelBuilder(FormLayout layout, ResourceBundle bundle, JPanel container)` Constructs an I15dPanelBuilder for the given FormLayout, resource bundle, and layout container.

Method Summary
`protected String` | `getI15dString(String resourceKey)` Looks up and returns the internationalized (i15d) string for the given resource key from the ResourceBundle that has been provided during the builder construction.

Methods inherited from class com.jgoodies.forms.builder.AbstractI15dPanelBuilder
`addI15dLabel, addI15dLabel, addI15dLabel, addI15dROLabel, addI15dROLabel, addI15dROLabel, addI15dSeparator, addI15dSeparator, addI15dTitle, addI15dTitle, isDebugToolTipsEnabled, setDebugToolTipsEnabled`

Methods inherited from class com.jgoodies.forms.builder.PanelBuilder
`add, add, addLabel, addLabel, addLabel, addLabel, addROLabel, addROLabel, addROLabel, addROLabel, addSeparator, addSeparator, addSeparator, addSeparator, addTitle, addTitle, addTitle, getLabelForFeatureEnabledDefault, getPanel, isLabelForApplicable, isLabelForFeatureEnabled, setBackground, setBorder, setDefaultDialogBorder, setLabelFor, setLabelForFeatureEnabled, setLabelForFeatureEnabledDefault, setOpaque`

Methods inherited from class com.jgoodies.forms.builder.AbstractFormBuilder
`add, add, appendColumn, appendColumn, appendGlueColumn, appendGlueRow, appendLabelComponentsGapColumn, appendParagraphGapRow, appendRelatedComponentsGapColumn, appendRelatedComponentsGapRow, appendRow, appendRow, appendUnrelatedComponentsGapColumn, appendUnrelatedComponentsGapRow, cellConstraints, createLeftAdjustedConstraints, getColumn, getColumnIncrementSign, getLeadingColumn, getRow, isLeftToRight, nextColumn, nextColumn, nextLine, nextLine, nextRow, nextRow, setAlignment, setBounds, setColumn, setColumnSpan, setExtent, setHAlignment, setLeftToRight, setOrigin, setRow, setRowSpan, setVAlignment`

Methods inherited from class com.jgoodies.forms.builder.AbstractBuilder
`createComponentFactory, getColumnCount, getComponentFactory, getContainer, getDefaultComponentFactory, getLayout, getRowCount, setComponentFactory, setDefaultComponentFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I15dPanelBuilder

    public I15dPanelBuilder(FormLayout layout,
                            ResourceBundle bundle)

  Constructs an I15dPanelBuilder for the given layout and resource bundle. Uses an instance of JPanel as layout container.

  Parameters:
    `layout` - the FormLayout used to layout the container
    `bundle` - the ResourceBundle used to look up i15d strings
  Throws:
    `NullPointerException` - if `layout` is `null`

### I15dPanelBuilder

    public I15dPanelBuilder(FormLayout layout,
                            ResourceBundle bundle,
                            JPanel container)

  Constructs an I15dPanelBuilder for the given FormLayout, resource bundle, and layout container.

  Parameters:
    `layout` - the FormLayout used to layout the container
    `bundle` - the ResourceBundle used to lookup i15d strings
    `container` - the layout container
  Throws:
    `NullPointerException` - if `layout` or `container` is `null`

Method Detail

### getI15dString

    protected String getI15dString(String resourceKey)

  Looks up and returns the internationalized (i15d) string for the given resource key from the ResourceBundle that has been provided during the builder construction.

  Specified by:
    `getI15dString` in class `AbstractI15dPanelBuilder`
  Parameters:
    `resourceKey` - the key to look for in the resource bundle
  Returns:
    the associated internationalized string, or the resource key itself in case of a missing resource
  Throws:
    `IllegalStateException` - if no ResourceBundle has been set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 JGoodies Karsten Lentzsch. All Rights Reserved.